Bug 580523 - sudo process is stuck in endless loop
sudo process is stuck in endless loop
Status: CLOSED WORKSFORME
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: sudo (Show other bugs)
5.5
All Linux
high Severity urgent
: rc
: ---
Assigned To: Daniel Kopeček
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-08 09:27 EDT by Moran Goldboim
Modified: 2010-09-15 08:33 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-15 08:33:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Moran Goldboim 2010-04-08 09:27:47 EDT
Description of problem:
sudo process is stuck in endless loop, the processed can't be killed (with kill -9). the issue caused while trying to run lvm command:
root     18368  4698 94 Apr07 ?        19:41:19 /usr/bin/sudo -n /usr/sbin/lvs --config ?devices {? filter = [ "a|/dev/mapper/3600144f04b82906100003048344a6b00|", "a|/dev/mapper/3600144f04b79233900003048344a6b00|", "a|/dev/mapper/3600144f04b79235600003048344a6b00|", "r|.*|" ]?}??backup {? retain_min = 50? retain_days = 0?}? --noheadings -o tags 8900978c-e842-4037-8f04-c9a740793a13/169f98ea-a155-4076-9eb6-8d32f49dfacd


Version-Release number of selected component (if applicable):
kernel-2.6.18-194.el5

How reproducible:
seen one time

Steps to Reproduce:
1.
2.
3.
  

Additional info:

Apr  8 13:24:34 silver-vdse kernel: sudo          R  running task       0 18368   7534               18167 (NOTLB)
Apr  8 13:24:34 silver-vdse kernel:  ffff8104c146fb68 0000000000000086 ffff81010fc8a200 00000000ffffffe4
Apr  8 13:24:34 silver-vdse kernel:  0000000000000040 0000000000000001 ffff810069c57040 ffff810473abf040
Apr  8 13:24:34 silver-vdse kernel:  00003a5168140bf1 000000000000c607 ffff810069c57230 00000003c146f978
Apr  8 13:24:34 silver-vdse kernel: Call Trace:
Apr  8 13:24:34 silver-vdse kernel:  [<ffffffff80022127>] __up_read+0x19/0x7f
Apr  8 13:24:34 silver-vdse kernel:  [<ffffffff8008f9cb>] __cond_resched+0x1c/0x44
Apr  8 13:24:34 silver-vdse kernel:  [<ffffffff800640cb>] cond_resched+0x37/0x42
Apr  8 13:24:34 silver-vdse kernel:  [<ffffffff8003f7dd>] shrink_slab+0x10f/0x153
Apr  8 13:24:34 silver-vdse kernel:  [<ffffffff800cc945>] zone_reclaim+0x235/0x2cd
Apr  8 13:24:34 silver-vdse kernel:  [<ffffffff8000a83c>] get_page_from_freelist+0xbf/0x43a
Apr  8 13:24:34 silver-vdse kernel:  [<ffffffff8000f2ff>] __alloc_pages+0x78/0x308
Apr  8 13:24:34 silver-vdse kernel:  [<ffffffff80016cb7>] prio_tree_insert+0x148/0x231
Apr  8 13:24:34 silver-vdse kernel:  [<ffffffff8002bb08>] get_zeroed_page+0x21/0x82
Apr  8 13:24:34 silver-vdse kernel:  [<ffffffff80023b62>] prio_tree_remove+0xaf/0xc2
Apr  8 13:24:34 silver-vdse kernel:  [<ffffffff800166a8>] __pte_alloc+0x1a/0x137
Apr  8 13:24:34 silver-vdse kernel:  [<ffffffff800088c2>] __handle_mm_fault+0x130/0xfaa
Apr  8 13:24:34 silver-vdse kernel:  [<ffffffff80016cb7>] prio_tree_insert+0x148/0x231
Apr  8 13:24:34 silver-vdse kernel:  [<ffffffff80067b55>] do_page_fault+0x4cb/0x874
Apr  8 13:24:34 silver-vdse kernel:  [<ffffffff8001cd06>] vma_link+0xd0/0xfd
Apr  8 13:24:34 silver-vdse kernel:  [<ffffffff8000e17e>] do_mmap_pgoff+0x66c/0x7d7
Apr  8 13:24:35 silver-vdse kernel:  [<ffffffff8005ede9>] error_exit+0x0/0x84
 
Apr  8 14:09:02 silver-vdse kernel: sudo          R  running task       0 18368   7534               18167 (NOTLB)
Apr  8 14:09:02 silver-vdse kernel:  ffff8104c146fb68 ffffffff80063ff8 ffff81048003a500 0000000000000246
Apr  8 14:09:02 silver-vdse kernel:  0000000000000100 0000000000000001 ffff810069c57040 ffff8103c034c7e0
Apr  8 14:09:02 silver-vdse kernel:  00003cbda3fb15ac 00000000000f0663 ffff810000000000 00000001c146f978
Apr  8 14:09:02 silver-vdse kernel: Call Trace:
Apr  8 14:09:02 silver-vdse kernel:  [<ffffffff80063ff8>] thread_return+0x62/0xfe
Apr  8 14:09:02 silver-vdse kernel:  [<ffffffff8836c1ea>] :kvm:mmu_shrink+0x76/0xf8
Apr  8 14:09:02 silver-vdse kernel:  [<ffffffff8003f7aa>] shrink_slab+0xdc/0x153
Apr  8 14:09:02 silver-vdse kernel:  [<ffffffff800cc945>] zone_reclaim+0x235/0x2cd
Apr  8 14:09:02 silver-vdse kernel:  [<ffffffff8000a83c>] get_page_from_freelist+0xbf/0x43a
Apr  8 14:09:02 silver-vdse kernel:  [<ffffffff8000f2ff>] __alloc_pages+0x78/0x308
Apr  8 14:09:02 silver-vdse kernel:  [<ffffffff80016cb7>] prio_tree_insert+0x148/0x231
Apr  8 14:09:02 silver-vdse kernel:  [<ffffffff8002bb08>] get_zeroed_page+0x21/0x82
Apr  8 14:09:02 silver-vdse kernel:  [<ffffffff80023b62>] prio_tree_remove+0xaf/0xc2
Apr  8 14:09:02 silver-vdse kernel:  [<ffffffff800166a8>] __pte_alloc+0x1a/0x137
Apr  8 14:09:02 silver-vdse kernel:  [<ffffffff800088c2>] __handle_mm_fault+0x130/0xfaa
Apr  8 14:09:02 silver-vdse kernel:  [<ffffffff80016cb7>] prio_tree_insert+0x148/0x231
Apr  8 14:09:02 silver-vdse kernel:  [<ffffffff80067b55>] do_page_fault+0x4cb/0x874
Apr  8 14:09:02 silver-vdse kernel:  [<ffffffff8001cd06>] vma_link+0xd0/0xfd
Apr  8 14:09:02 silver-vdse kernel:  [<ffffffff8000e17e>] do_mmap_pgoff+0x66c/0x7d7
Apr  8 14:09:02 silver-vdse kernel:  [<ffffffff8005ede9>] error_exit+0x0/0x84
Comment 1 Daniel Kopeček 2010-04-19 08:12:18 EDT
Wrong component? This looks like a kernel issue to me...

Note You need to log in before you can comment on or make changes to this bug.